[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# AnsiRightStr

Copies a number of characters starting at the right of a string

## Declaration

Source position: strutils.pp line 92

`function AnsiRightStr(`
`const AText: AnsiString;`
`const ACount: SizeInt`
`):AnsiString;`

## Arguments

`AText` |  | String to copy characters from
`ACount` |  | Number of characters to copy

## Function result

Resulting string

## Description

AnsiLeftStr returns the ACount rightmost characters from AText. If ACount is larger than the length of AText, only as much characters as available in AText will be copied. If ACount is zero or negative, no characters will be copied. The characters are counted as characters, not as Bytes.

This function corresponds to the Visual Basic RightStr function.

## Errors

None.

## See also

AnsiLeftStr |  | Copies a number of characters starting at the left of a string
AnsiMidStr |  | Returns a number of characters copied from a given location in a string
LeftStr |  | Copies Count characters starting at the left of a string.
RightStr |  | Copy a given number of characters, counting from the right of a string.
MidStr |  | Copies a number of characters starting at a given position in a string.
LeftBStr |  | Copies Count characters starting at the left of a string.
RightBStr |  | Copy a given number of characters (bytes), counting from the right of a string.
MidBStr |  | Copies a number of characters starting at a given position in a string.